--- a/aptitude.spec	2025-05-14 02:14:00.253115511 +0000
+++ b/aptitude.spec	2025-05-14 02:14:00.257115563 +0000
@@ -38,6 +38,7 @@
 #BuildArch: noarch
 Conflicts: %name < %version-%release
 Conflicts: %name > %version-%release
+BuildArch: noarch
 
 %description doc
 aptitude is a terminal-based apt frontend.  This package contains
--- a/extlinux.spec	2025-05-14 02:14:01.542132138 +0000
+++ b/extlinux.spec	2025-05-14 02:14:01.545132176 +0000
@@ -36,6 +36,7 @@
 %package doc
 Summary: Extlinux documentation.
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 Extlinux documentation.
--- a/fontforge.spec	2025-05-14 02:14:01.753134859 +0000
+++ b/fontforge.spec	2025-05-14 02:14:01.758134924 +0000
@@ -68,6 +68,7 @@
 %package docs
 Summary: FontForge documentations
 Group: Publishing
+BuildArch: noarch
 
 %description docs
 FontForge documentations
--- a/foreman.spec	2025-05-14 02:14:01.897136717 +0000
+++ b/foreman.spec	2025-05-14 02:14:01.903136794 +0000
@@ -94,6 +94,7 @@
 %package       doc
 Summary:       Foreman code documentation
 Group:         Development/Documentation
+BuildArch: noarch
 
 %description   doc
 Foreman code documentation.
--- a/gdcm.spec	2025-05-14 02:14:03.032151356 +0000
+++ b/gdcm.spec	2025-05-14 02:14:03.040151459 +0000
@@ -99,6 +99,7 @@
 Summary:	CSharp, C++, Java, PHP and Python example programs for GDCM
 Requires:	%{name} = %{version}-%{release}
 AutoReq: no
+BuildArch: noarch
 
 %description examples
 GDCM examples
--- a/ghc7.10.3.spec	2025-05-14 02:14:03.108152336 +0000
+++ b/ghc7.10.3.spec	2025-05-14 02:14:03.116152439 +0000
@@ -125,6 +125,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/ghc7.6.1.spec	2025-05-14 02:14:03.145152813 +0000
+++ b/ghc7.6.1.spec	2025-05-14 02:14:03.152152904 +0000
@@ -114,6 +114,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/ghc8.2.2.spec	2025-05-14 02:14:03.182153291 +0000
+++ b/ghc8.2.2.spec	2025-05-14 02:14:03.191153407 +0000
@@ -131,6 +131,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/ghc.spec	2025-05-14 02:14:03.220153781 +0000
+++ b/ghc.spec	2025-05-14 02:14:03.228153884 +0000
@@ -143,6 +143,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/gprolog.spec	2025-05-14 02:14:03.390155973 +0000
+++ b/gprolog.spec	2025-05-14 02:14:03.393156012 +0000
@@ -43,6 +43,7 @@
 Summary: Documentation for GNU Prolog
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description docs
 Documentation for GNU Prolog.
--- a/itpp.spec	2025-05-14 02:14:03.845161842 +0000
+++ b/itpp.spec	2025-05-14 02:14:03.850161906 +0000
@@ -75,6 +75,7 @@
 Summary: Documentation for %name
 Group: Documentation
 Requires: %libname = %version
+BuildArch: noarch
 
 %description doc
 This package contains the documentation for the IT++ as html and man pages.
--- a/kbd.spec	2025-05-14 02:14:04.199166407 +0000
+++ b/kbd.spec	2025-05-14 02:14:04.211166562 +0000
@@ -74,6 +74,7 @@
 %package -n %name-docs
 Group: Documentation
 Summary: Documentation for kbd
+BuildArch: noarch
 
 %description -n %name-docs
 Documentation for kbd
--- a/libcommoncpp2.spec	2025-05-14 02:14:08.938227521 +0000
+++ b/libcommoncpp2.spec	2025-05-14 02:14:08.941227559 +0000
@@ -43,6 +43,7 @@
 %package doc
 Summary: Documentation for %name
 Group: Development/C
+BuildArch: noarch
 
 %description devel
 Common C++ devel files
--- a/libopencv.spec	2025-05-14 02:14:09.208231002 +0000
+++ b/libopencv.spec	2025-05-14 02:14:09.219231144 +0000
@@ -235,6 +235,7 @@
 Summary: %Name samples
 Conflicts: lib%bname-examples
 Conflicts: lib%{bname}2-examples
+BuildArch: noarch
 
 %description examples
 %Name means Intel(R) Open Source Computer Vision Library. It is a
--- a/tclap.spec	2025-05-14 02:14:09.383233259 +0000
+++ b/tclap.spec	2025-05-14 02:14:09.385233285 +0000
@@ -37,6 +37,7 @@
 %package doc
 Summary: Documentation files for %name
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 TCLAP is a small, flexible library that provides a simple interface for
--- a/opam.spec	2025-05-14 02:14:12.335271321 +0000
+++ b/opam.spec	2025-05-14 02:14:12.338271359 +0000
@@ -56,6 +56,7 @@
 Summary: Documentation files for %name
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 The %name-doc package contains documentation for using %name.
--- a/openFPGALoader.spec	2025-05-14 02:14:12.365271708 +0000
+++ b/openFPGALoader.spec	2025-05-14 02:14:12.367271733 +0000
@@ -39,6 +39,7 @@
 %package doc
 Summary: Documentation for %name
 Group:   Documentation
+BuildArch: noarch
 
 %description doc
 %summary.
--- a/papi.spec	2025-05-14 02:14:12.668275614 +0000
+++ b/papi.spec	2025-05-14 02:14:12.672275666 +0000
@@ -53,6 +53,7 @@
 %package doc
 Summary: Documentation for Performance Application Programming Interface
 Group: Documentation
+BuildArch: noarch
 #BuildArch: noarch
 
 %description doc
--- a/pki-core.spec	2025-05-14 02:14:13.113281351 +0000
+++ b/pki-core.spec	2025-05-14 02:14:13.135281635 +0000
@@ -357,6 +357,7 @@
 Group: Networking/Other
 Provides: pki-server-theme = %EVR
 Obsoletes: pki-server-theme < %EVR
+BuildArch: noarch
 
 %description -n dogtag-pki-server-theme
 This PKI Server Theme Package contains textual and graphical user
--- a/pki-core.spec	2025-05-14 02:14:13.135281635 +0000
+++ b/pki-core.spec	2025-05-14 02:14:13.149281815 +0000
@@ -211,6 +211,7 @@
 Summary: Dogtag PKI CA Package
 Group: System/Servers
 Requires: pki-server = %EVR
+BuildArch: noarch
 
 %description -n pki-ca
 The Certificate Authority (CA) is a required PKI subsystem which issues,
--- a/breeze-gtk.spec	2025-05-14 02:14:13.256283195 +0000
+++ b/breeze-gtk.spec	2025-05-14 02:14:13.258283221 +0000
@@ -36,6 +36,7 @@
 #Requires: gtk-engines-pixmap
 Provides: gtk2-theme-breeze = %version-%release
 Provides: gtk3-theme-breeze = %version-%release
+BuildArch: noarch
 %description -n gtk-theme-breeze
 %{description}
 
--- a/fake-factory.spec	2025-05-14 02:14:14.366297505 +0000
+++ b/fake-factory.spec	2025-05-14 02:14:14.371297570 +0000
@@ -67,6 +67,7 @@
 %package docs
 Summary: Documentation for %oname
 Group: Development/Documentation
+BuildArch: noarch
 
 %description docs
 Faker is a Python package that generates fake data for you. Whether you
--- a/pycrypto.spec	2025-05-14 02:14:14.769302701 +0000
+++ b/pycrypto.spec	2025-05-14 02:14:14.774302765 +0000
@@ -53,6 +53,7 @@
 %package docs
 Summary: Documentation for %oname
 Group: Development/Documentation
+BuildArch: noarch
 #BuildArch: noarch
 
 %description docs
--- a/python-module-pysqlite2.spec	2025-05-14 02:14:14.979305408 +0000
+++ b/python-module-pysqlite2.spec	2025-05-14 02:14:14.982305447 +0000
@@ -30,6 +30,7 @@
 Conflicts: %fname < %EVR
 Conflicts: %fname > %EVR
 %endif
+BuildArch: noarch
 
 %description
 %descr
--- a/qcl.spec	2025-05-14 02:14:15.735315154 +0000
+++ b/qcl.spec	2025-05-14 02:14:15.738315192 +0000
@@ -25,6 +25,7 @@
 Summary:        Provides comprehensive documentation for the QCL
 Group:          Sciences/Physics
 Requires:       %name = %version-%release
+BuildArch: noarch
 
 %description    doc
 Comprehensive PDF documentation for the Quantum Computation Language with an
--- a/qxmpp-qt5.spec	2025-05-14 02:14:16.623326601 +0000
+++ b/qxmpp-qt5.spec	2025-05-14 02:14:16.627326652 +0000
@@ -57,6 +57,7 @@
 Group: Development/KDE and QT
 Conflicts: lib%name < %version
 Conflicts: lib%_name
+BuildArch: noarch
 
 %description doc
 QXmpp is a cross-platform C++ XMPP client library. It is based on Qt and
--- a/rust.spec	2025-05-14 02:14:16.934330610 +0000
+++ b/rust.spec	2025-05-14 02:14:16.946330765 +0000
@@ -119,6 +119,7 @@
 %package doc
 Summary: Documentation for Rust
 Group: Development/Documentation
+BuildArch: noarch
 # NOT BuildArch: noarch
 # Note, while docs are mostly noarch, some things do vary by target_arch.
 
--- a/virtualbox.spec	2025-05-14 02:14:18.757354108 +0000
+++ b/virtualbox.spec	2025-05-14 02:14:18.772354302 +0000
@@ -353,6 +353,7 @@
 Summary: VirtualBox documentation
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 This package contains VirtualBox User Manual.
--- a/vtk.spec	2025-05-14 02:14:18.865355500 +0000
+++ b/vtk.spec	2025-05-14 02:14:18.880355694 +0000
@@ -260,6 +260,7 @@
 Requires: %name = %EVR
 Requires: %name-data = %EVR
 %add_python3_req_skip numeric
+BuildArch: noarch
 
 %description examples
 VTK is an open-source software system for image processing, 3D graphics, volume
--- a/vtk.spec	2025-05-14 02:14:18.880355694 +0000
+++ b/vtk.spec	2025-05-14 02:14:18.892355849 +0000
@@ -178,6 +178,7 @@
 %package doc
 Summary: Documentation for The Visualization Toolkit (VTK)
 Group: Development/Documentation
+BuildArch: noarch
 
 %description doc
 VTK is an open-source software system for image processing, 3D graphics, volume
--- a/xen.spec	2025-05-14 02:14:18.963356764 +0000
+++ b/xen.spec	2025-05-14 02:14:18.983357021 +0000
@@ -231,6 +231,7 @@
 Summary: Xen documentation
 Group: Documentation
 Requires: xen-licenses
+BuildArch: noarch
 
 %description doc
 The Xen Project hypervisor is an open-source type-1 or baremetal
